<template>
  <div class='app-for-you container'>
    <h2 class='base-title'>{{ $t('title') }}</h2>
    <div class='app-for-you__list'>
      <div class='app-for-you__item'>
        <img src='../../assets/img/cloud/why-open-1.svg' alt='1' width='87' height='87'>
        <p><span>{{ $t('launch')[0] }}</span>{{ $t('launch')[1] }}</p>
      </div>
      <div class='app-for-you__item app-for-you__item-resize'>
        <img src='../../assets/img/cloud/why-open-2.svg' alt='2' width='87' height='87'>
        <p> <span>{{ $t('save')[0] }}</span>{{ $t('save')[1] }}</p>
      </div>
      <div class='app-for-you__item'>
        <img src='../../assets/img/cloud/why-open-3.svg' alt='3' width='87' height='87'>
        <p> <span>{{ $t('save')[0] }}</span>{{ $t('save')[1] }}</p>
      </div>
    </div>
  </div>
</template>


<i18n>
{
  "en": {
    "title": "Why Open Exchange with TBCC Cloud?",
    "launch": ["Launch your own exchange", " and earn income from commissions, margin trading, coin and token listing of new projects."],
    "save": ["Save $150,000 - 200,000 and 9-18 months", " to create your own cryptocurrency exchange"],
    "regular": ["Regular upgrades and new features", " without the need to maintain a staff of programmers and designers."]
  },
  "ch": {
    "title": "为什么要用TBCC云计算开放交易所？",
    "launch": ["启动您自己的交易所，", "从佣金、保证金交易、新项目的硬币和代币上市中获得收入"],
    "save": ["节省150,000 - 200,000美元和9 - 18个月", " 创建您自己的加密货币交易所。"],
    "regular": ["定期升级和新功能，", "而不需要维持一个程序员和设计师的员工"]
  },
  "tur": {
    "title": "Why Open Exchange with TBCC Cloud?",
    "launch": ["Launch your own exchange", " and earn income from commissions, margin trading, coin and token listing of new projects."],
    "save": ["Save $150,000 - 200,000 and 9-18 months", " to create your own cryptocurrency exchange"],
    "regular": ["Regular upgrades and new features", " without the need to maintain a staff of programmers and designers."]
  }
}
</i18n>

<style lang='scss' scoped>
.base-title {
  margin: 0 0 70px;
  font-size: 36px;
  max-width: 520px;
  text-align: center;
  position: relative;
  z-index: 2;

  @media (min-width: 768px) {
    &::before {
      content: "";
      position: absolute;
      width: 601px;
      height: 459px;
      top: -154px;
      left: -341px;
      background-image: url("../../assets/img/hub/bg-start-advantage.svg");
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
      z-index: 1;
    }
  }

  @media (max-width: 767px) {
    max-width: 320px;
    text-align: center;
    margin: 0 0 35px;
  }

  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}

.app-for-you {
  display: flex;
  align-items: center;
  flex-direction: column;

  &__list {
    width: 100%;
    display: flex;
    justify-content: space-around;
  }

  &__list-1 {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;

    .app-for-you__item {

      @media (min-width: 768px){
        margin: 0 53px;
      }

      @media (min-width: 1024px){
        margin: 0 84px;
      }
    }
  }

  &__list,
  &__list-1 {
    @media (max-width: 767px) {
      flex-direction: column;
      justify-content: flex-start;
      align-items: center;
      padding: 0;
    }
  }

  &__item {
    display: flex;
    align-items: center;
    flex-direction: column;

    @media (max-width: 767px) {
      margin-bottom: 35px;
    }

    img {
      object-fit: none;
      margin-bottom: 12px;

      @media (max-width: 767px) {
        margin-bottom: 15px;
        object-fit: contain;
      }
    }

    p {
      margin: 0;
      font-size: 18px;
      line-height: 26px;
      text-align: center;
      color: #ADBAD0;
      width: 277px;
      font-weight: 400;

      span {
        color: white;
      }

      @media(min-width: 768px) and (max-width: 1023px){
        width: 215px;
      }

      @media (max-width: 1023px) {
        text-align: center;
        font-size: 18px;
        line-height: 22px;
      }
    }
  }

  &__item-resize {
    @media (max-width: 767px) {
      img {
        margin-left: 6px;
      }
    }
  }
}
</style>
